from abc import ABC

from level.elements.LevelElement import LevelElement
from sprite.DynamicSprite import DynamicSprite


class DynamicLevelElement(DynamicSprite, LevelElement, ABC):
    def __init__(self, tile: dict, loaded_level, level_screen_manager: 'LevelScreenManager'):
        DynamicSprite.__init__(self)
        LevelElement.__init__(self, tile, loaded_level, level_screen_manager)
