from level.Level import Level
from level.elements.static.StaticLevelElement import StaticLevelElement
from physics.SpriteManager import SpriteManager
from sprite.SpritesheetManager import SpritesheetManager


class InvisibleElement(StaticLevelElement):
    def load(self, sprite_manager: SpriteManager, spritesheet_manager: SpritesheetManager, level: Level):
        self.spritesheet = spritesheet_manager.get_sheet('invisible')
        self.set_animation_state('1')
        self.position_scale.position = self.tile['position']
