from abc import ABC

from level.elements.LevelElement import LevelElement
from sprite.StaticSprite import StaticSprite


class StaticLevelElement(StaticSprite, LevelElement, ABC):
    def __init__(self, tile: dict, loaded_level, level_screen_manager: 'LevelScreenManager'):
        StaticSprite.__init__(self)
        LevelElement.__init__(self, tile, loaded_level, level_screen_manager)
