import pygame

from sprite.PositionScale import PositionScale
from ui_elements.ClickEvent import ClickEvent
from ui_elements.KeyManager import KeyManager


class TickData:
    def __init__(self, dt: float, pygame_events: list[pygame.event.Event], key_manager: KeyManager,
                 click_events: list[ClickEvent], screen_transform: PositionScale):
        self.dt = dt
        self.pygame_events = pygame_events
        self.key_manager = key_manager
        self.click_events = click_events
        self.screen_transform = screen_transform
